Package opennlp.tools.formats

## Class Conll03NameSampleStream

- java.lang.Object
- - opennlp.tools.formats.Conll03NameSampleStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<NameSample>`

      public class Conll03NameSampleStream
      extends Object
      implements ObjectStream<NameSample>

  An import stream which can parse the CONLL03 data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Conll03NameSampleStream.LANGUAGE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Conll03NameSampleStream​(Conll03NameSampleStream.LANGUAGE lang, InputStreamFactory in, int types)` | Initializes a `Conll03NameSampleStream`.
    `Conll03NameSampleStream​(Conll03NameSampleStream.LANGUAGE lang, ObjectStream<String> lineStream, int types)` | Initializes a `Conll03NameSampleStream`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the `ObjectStream` and releases all allocated resources.
    `NameSample` | `read()` | Returns the next `ObjectStream` object.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conll03NameSampleStream

          public Conll03NameSampleStream​(Conll03NameSampleStream.LANGUAGE lang,
                                         ObjectStream<String> lineStream,
                                         int types)

      Initializes a `Conll03NameSampleStream`.
      Parameters:
        `lang` - The language of the CONLL 03 data.
        `lineStream` - An `ObjectStream` over the lines in the CONLL 03 data file.
        `types` - The entity types to include in the Name Sample object stream.

    - #### Conll03NameSampleStream

          public Conll03NameSampleStream​(Conll03NameSampleStream.LANGUAGE lang,
                                         InputStreamFactory in,
                                         int types)
                                  throws IOException

      Initializes a `Conll03NameSampleStream`.
      Parameters:
        `lang` - The language of the CONLL 03 data.
        `in` - The `InputStreamFactory` for the input file.
        `types` - The entity types to include in the Name Sample object stream.
      Throws:
        `IOException` - Thrown if IO errors occurred.

  - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<NameSample>`
      Returns:
        The next object or `null` to signal that the stream is exhausted.
      Throws:
        `IOException` - Thrown if there is an error during reading.

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

      The implementation of this method is optional.

      Specified by:
        `reset` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - Thrown if there is an error during resetting the stream.
        `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - Thrown if there is an error during closing the stream.